STATISCHE QR-WERKSTATT
Über QR Meadow
QR Meadow ist ein kostenloser QR-Code-Generator, der vollständig in deinem Browser läuft. Er erstellt statische Codes, die funktionieren, solange sie lesbar sind, und prüft jedes Design, bevor du es herunterlädst.
Was QR Meadow kann
QR Meadow macht aus zwölf Arten von Inhalten QR-Codes: Webadressen, WLAN-Zugangsdaten, Visitenkarten (vCard), vorausgefüllte E-Mails, einfacher Text, Telefonnummern, SMS, WhatsApp-Chats, Standorte auf der Karte, Kalendertermine, Pix-Zahlungen und SEPA-Überweisungen (GiroCode / EPC). Jeder Typ hat ein eigenes Formular, das typische Fehler abfängt, etwa ein zu kurzes WLAN-Passwort oder einen Tippfehler in der E-Mail-Adresse. Du kannst mit einer Vorlage starten oder Farben, Farbverläufe, Modulformen und Eckstile ändern, ein Logo, einen Rahmen und eine kurze Beschriftung hinzufügen und das Ergebnis als PNG-Bild, als Vektor-SVG oder als Vektor-PDF herunterladen. Der Serien-Generator erstellt bis zu 500 Codes aus einer Liste oder CSV, als ZIP oder auf druckfertigen Etikettenbögen, und der Scanner liest einen Code aus einem Bild.
So funktioniert’s
Wenn du den Generator öffnest, lädt dein Browser die Seite und ein paar kleine Skriptdateien von dieser Website. Ab dann passiert alles auf deinem Gerät. Ein JavaScript-Encoder macht aus deiner Eingabe einen QR-Code, zeichnet ihn als Vektorformen und zeigt ihn in der Vorschau. Jede Änderung löst einen Scan-Test aus: Das fertige Design wird mit dem Open-Source-Leser jsQR in drei verschiedenen Größen erneut dekodiert, und du siehst nur dann einen grünen Haken, wenn das Ergebnis exakt deiner Eingabe entspricht. Die Downloads entstehen auf die gleiche Weise, ohne Umweg über einen Server.
Genau dieser Aufbau ist auch der Grund, warum die Seite privat sein kann. Es gibt keine Konten und keine Werbeskripte. Cloudflare ergänzt auf der gehosteten Domain eine Analyse der Seitenleistung; die App sendet deine QR-Inhalte nicht an dieses Messskript. Dein WLAN-Passwort, deine Kontaktdaten und dein Logo verlassen nie den Browser-Tab. Details findest du auf der Datenschutzseite.
Nur statische Codes
Jeder Code, den QR Meadow erstellt, ist statisch: Der Inhalt steht im Code selbst. Ein statischer Code lässt sich nach dem Druck nicht mehr bearbeiten und kann keine Scans zählen – er kann aber auch nicht abgeschaltet werden. Er hängt nicht davon ab, dass diese Website online bleibt, von einem Abo oder vom Weiterleitungsserver irgendeines Anbieters.
Dynamische Codes funktionieren anders. Sie enthalten einen Kurzlink zum Server des Anbieters, der die Besucher an das eigentliche Ziel weiterleitet. Das macht Bearbeiten und Scan-Statistiken möglich, und für manche Kampagnen ist das die richtige Wahl. Der Preis dafür: Der Code hängt vom Anbieter ab. So steht zum Beispiel im Hilfe-Center eines großen Anbieters, dass dynamische Codes, die in der kostenlosen Testphase erstellt wurden, mit deren Ende deaktiviert werden, während statische Codes weiter funktionieren. QR Meadow lässt diesen Kompromiss komplett weg.
Was QR Meadow nicht macht
- Keine dynamischen oder bearbeitbaren Codes und keine Scan-Statistiken.
- Kein Hosting für Dateien, Bilder, Videos oder Formulare – dafür bräuchte es einen Server, der deine Inhalte speichert.
- Kein Scannen mit der Kamera: Der Scanner liest Bilder, die du hinzufügst, und die Seite fragt nicht nach Kamerazugriff.
Standards und Open-Source-Bausteine
- Die QR-Kodierung nutzt die Bibliothek QR Code generator von Kazuhiko Arase (MIT-Lizenz).
- Der Scan-Test nutzt jsQR (Apache License 2.0).
- WLAN-Codes folgen dem weit verbreiteten, vom ZXing-Projekt dokumentierten Format
WIFI:, einschließlich seiner Regeln zum Maskieren von Sonderzeichen. - Visitenkarten folgen vCard 3.0 (RFC 2426), und E-Mail-Codes verwenden
mailto:-Links nach RFC 6068. - Telefon-, SMS-,
geo:- und Kalender-Codes verwenden die von ZXing aufgeführten Formentel:,SMSTO:,geo:undVEVENT; Termintext wird wie in iCalendar (RFC 5545) maskiert. - WhatsApp-Codes verwenden die von WhatsApp dokumentierten Click-to-Chat-Links über
wa.me, und Kartenlinks folgen den von Google Maps und Apple Maps dokumentierten Formaten.
Beide Bibliothekslizenzen werden mit den Dateien der Website ausgeliefert. Die Tests decken jeden Inhaltstyp auf jeder Fehlerkorrekturstufe und mit jeder Modulform ab und dekodieren jeden erzeugten Code zurück zu seinem ursprünglichen Inhalt.
Feedback
QR Meadow ist ein kleines unabhängiges Projekt und wird laufend verbessert. Wenn sich ein hier erstellter Code mit deinem Handy nicht scannen lässt, sind diese Angaben am hilfreichsten: der Inhaltstyp, die gewählten Stileinstellungen sowie das Handy und die App, mit denen du gescannt hast.
Häufige Fragen
Ist QR Meadow kostenlos?
Ja. Es gibt keine Anmeldung, keinen Bezahltarif und keine Begrenzung, wie viele Codes du erstellst oder wie oft sie gescannt werden.
Brauche ich ein Konto?
Nein. Es gibt keine Konten. Nichts, was du erstellst, wird auf einem Server gespeichert, es gibt also nichts, wo du dich anmelden müsstest.
Hören meine Codes auf zu funktionieren, wenn diese Website offline geht?
Nein. Der Inhalt steckt im Code selbst. Ein heruntergeladener Code funktioniert auch ohne diese Website weiter.
Darf ich die Codes kommerziell nutzen?
Ja. Die Codes, die du erstellst, kannst du frei auf Produkten, Verpackungen, Schildern und Werbematerial verwenden.
Warum gibt es kein Scan-Tracking?
Um Scans zu zählen, braucht es eine Weiterleitung über einen Server, und dann würden deine Codes von diesem Server abhängen. QR Meadow erstellt nur statische Codes.